import javax.swing.JOptionPane;

public class OperadorConta {
  public static void main(String[] args) {
    JOptionPane d = new JOptionPane();
    Conta conta = null;
    String str;
    
    while (true) {
      str = "Informe o número da conta";
      str = d.showInputDialog(str);
      if (str == null) System.exit(0);
      
      try {
        conta = new Conta(str);
        break;
      }
      catch(Exception ex) {
        d.showMessageDialog(null,"Número inválido!","Erro",0);
      }
    }
    
    while (true) {
      str = "Informe o limite da conta";
      str = d.showInputDialog(str);
      if (str == null) System.exit(0);
      
      try {
        conta.setLimite(str);
        break;
      }
      catch(Exception ex) {
        d.showMessageDialog(null,ex.getMessage(),"Erro",0);
      }
    }
    
    while (true) {
      str = "Que operação deseja realizar?" +
        "\nD = Depósito \nS = Saque";
      
      str = d.showInputDialog(str);
      if (str == null) System.exit(0);
      String operacao = str.trim().toUpperCase();
      
      if (!operacao.equals("D") && !operacao.equals("S")) {
        d.showMessageDialog(null,"Operação inválida!","Erro",0);
        continue;
      }
      
      str = "Informe o valor da operação";
      str = d.showInputDialog(str);
      if (str == null) System.exit(0);
        
      double valor = Double.parseDouble(str);
      
      if (operacao.equals("D")) conta.depositar(valor);
      
      if (operacao.equals("S"))
        try {
          conta.sacar(valor);
        }
        catch(Exception ex) {
          d.showMessageDialog(null,ex.getMessage(),"Erro",0);
        }
      
      d.showMessageDialog(null,conta);
    }
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2011                                                    *
 ********************************************************************/
