import javax.swing.JOptionPane;

public class CalculoArea{
  public static void main(String[] args) {
    CalculoArea ca = new CalculoArea();
    ca.calcular();
  }
  
  public void calcular() {
    while(true) {
      String str = "Informe o raio de um círculo";
      str = JOptionPane.showInputDialog(str);
      if (str == null) System.exit(0);
      Circulo cir = new Circulo( Double.parseDouble(str) );
      
      str = "A área do círculo é igual a: " + cir.getArea();
      JOptionPane.showMessageDialog(null,str);
    }
  }
   
  class Circulo {
    private double raio;
    
    public Circulo(double raio) {
      this.raio = raio;
    }
    
    public double getArea() {
      return Math.PI * Math.pow(raio,2);
    }
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2011                                                    *
 ********************************************************************/
