import static java.lang.System.out;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

public class FusoPadrao {
  public static void main(String[] args) {
    TimeZone tz = TimeZone.getDefault();
    
    out.println("Fuso horário padrão: " + tz.getDisplayName());
    out.println("Em italiano: " + tz.getDisplayName(Locale.ITALIAN));
    out.print("Nome completo: " );
    out.println( tz.getDisplayName(true,TimeZone.LONG) );
    out.print( "Horas acrescidas no horário especial: " );
    out.println( tz.getDSTSavings() / 1000 / 60 / 60 );
    out.print( "Data atual está no horário especial: " );
    out.println( tz.inDaylightTime( new Date() ) );
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2011                                                    *
 ********************************************************************/
