import javax.swing.JOptionPane;

public class CadastroComputadores {
  public static void main(String[] args) {
    Computador[] registros = new Computador[100];
    JOptionPane d = new JOptionPane();
    
    for (int indice = 0; indice < registros.length; indice++) {
      Computador comp = null;
      int codigo = 0;
      String str, descricao;
      String nr = "Computador " + (indice + 1)+ ": ";
      
      while (true) {
        str = d.showInputDialog(nr + "código");
        if (str == null) break;
        
        try {
          codigo = Integer.parseInt(str);
        }
        catch(NumberFormatException nfe) {
          d.showMessageDialog(null,"Código inválido!","Erro",0);
          continue;
        }
        
        str = d.showInputDialog(nr + "descrição");
        if (str == null) break;
        descricao = str;
        
        try {
          comp = new Computador(codigo, descricao);
          break;
        }
        catch(Exception ex) {
          d.showMessageDialog(null,ex.getMessage(),"Erro",0);
        }
      }
      if (str == null) break;
      
      registros[indice] = comp;
    }
    
    String relatorio = "Relatório de computadores:";
    for (Computador comp : registros) {
      if (comp == null) break;
      relatorio += "\n" + comp;
    }
    
    d.showMessageDialog(null,relatorio);
    System.exit(0);
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2011                                                    *
 ********************************************************************/
