import static java.lang.System.out;
import java.text.DateFormat;
import java.util.Date;

public class FormatacaoHorarios {
  public static void main(String[] args) {
    Date agora = new Date();
    out.println("Formatos aplicáveis a horários:");
    
    DateFormat df = DateFormat.getTimeInstance();
    out.println("Padrão:\t\t" + df.format(agora) );
    
    df = DateFormat.getTimeInstance(DateFormat.SHORT);
    out.println("Curto:\t\t" +  df.format(agora) );
    
    df = DateFormat.getTimeInstance(DateFormat.MEDIUM);
    out.println("Médio:\t\t" +  df.format(agora) );
    
    df = DateFormat.getTimeInstance(DateFormat.LONG);
    out.println("Longo:\t\t" +  df.format(agora) );
    
    df = DateFormat.getTimeInstance(DateFormat.FULL);
    out.println("Completo:\t" +  df.format(agora) );
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2011                                                    *
 ********************************************************************/
