public enum Gravidade {
  MINIMA (1,"Mínima"),
  PEQUENA (2,"Pequena"),
  MEDIA (3,"Média"),
  ALTA (4,"Alta"),
  ALTISSIMA (5,"Altíssima");
  
  private int indicador;
  private String descricao;
  
  Gravidade(int indicador, String descricao) {
    this.indicador = indicador;
    this.descricao = descricao;
  }

  public int getIndicador() {
    return indicador;
  }

  public String getDescricao() {
    return descricao;
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2011                                                    *
 ********************************************************************/
